 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({
    data: {
        title       : '',  //物流快递
        logisticArr : '',
        expressData : '',
        exchangeId  : ''
    },

    onLoad(options) {
        console.log(options)
        // const {
        //     newData = {}
        // } = options;
        // const data = JSON.parse(decodeURIComponent(newData));
        this.setData({
            exchangeId : options.exchange_id,
            title      : options.title
        })
    },

    onShow() {
        // 查看物流
        this.h5url();
    },

    // 查看物流
    h5url() {
        wx.$api.recruit.orderDi(this.data.exchangeId).then(res => {
            this.setData({
                expressData: res.data,
                logisticArr: res.data.express_track.list
            })
        }).catch(err => {})
    }
})
